Bug 333485 - Setting blending mode from within brush settings requires two clicks
Summary: Setting blending mode from within brush settings requires two clicks
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 2.8.0
Platform: Microsoft Windows Microsoft Windows
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-16 01:57 UTC by Spencer Brown
Modified: 2014-10-27 19:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Path to brush setting (26.64 KB, image/png)
2014-04-16 01:57 UTC, Spencer Brown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Spencer Brown 2014-04-16 01:57:14 UTC
Created attachment 86123 [details]
Path to brush setting

I was having trouble figuring out why the blending mode for the brush wasn't changing while I was trying to change it from within the brush settings. Turns out you have to double click the name of the blending mode.

In other places where we select blending modes, a single click is all that's needed since they're just dropdown menus. I think we should have a single click to select the blending mode in the brush settings.
Comment 1 Halla Rempt 2014-05-03 09:57:29 UTC
This is probably because the wrong signal is used. There's "activated" which depending on the desktop/KDE setting is single or double click.

I'd say, check kis_compositeop_option.cpp for SIGNAL(activated()) and fix the bug :P